org.apache.commons.math.distribution

## Interface ExponentialDistribution

All Superinterfaces:
  ContinuousDistribution, Distribution, HasDensity<Double>

All Known Implementing Classes:
  ExponentialDistributionImpl

    public interface ExponentialDistribution
    extends ContinuousDistribution, HasDensity<Double>

The Exponential Distribution.

References:

- Exponential Distribution

Version:
  $Revision: 920852 $ $Date: 2010-03-09 13:53:44 +0100 (mar. 09 mars 2010) $

### Method Summary

Methods
`double` `density(Double x)` Return the probability density for a particular point.
`double` `getMean()` Access the mean.
`void` `setMean(double mean)` Deprecated. as of v2.1

### Methods inherited from interface org.apache.commons.math.distribution.ContinuousDistribution

`inverseCumulativeProbability`

### Methods inherited from interface org.apache.commons.math.distribution.Distribution

`cumulativeProbability, cumulativeProbability`

### Method Detail

#### setMean

    @Deprecated
    void setMean(double mean)

Deprecated. as of v2.1
Modify the mean.

Parameters:
  `mean` - the new mean.

#### getMean

    double getMean()

Access the mean.

Returns:
  the mean.

#### density

    double density(Double x)

Return the probability density for a particular point.

Specified by:
  `density` in interface `HasDensity<Double>`
Parameters:
  `x` - The point at which the density should be computed.
Returns:
  The pdf at point x.